> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /linkedin/user/reactions

> Linkedin Get User Reactions

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/professional-network.json post /api/linkedin/user/reactions
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/linkedin/user/reactions:
    post:
      tags:
        - LinkedIn Users
      summary: /linkedin/user/reactions
      description: |-
        Linkedin Get User Reactions

        **Price:** 1 credit per 20 results
      operationId: __api_linkedin_user_reactions_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkedinUserReactionsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LinkedinUserPost'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LinkedinUserReactionsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_fsd_profile__'
          x-llm-resolve:
            accepts_raw: false
            field: urn
            from: /linkedin/user
        count:
          type: integer
          exclusiveMinimum: 0
      type: object
      required:
        - urn
        - count
    LinkedinUserPost:
      properties:
        '@type':
          type: string
          default: LinkedinUserPost
        urn:
          $ref: '#/components/schemas/LinkedinURN'
        url:
          type: string
        share_url:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - $ref: '#/components/schemas/LinkedinUserPostUser'
            - $ref: '#/components/schemas/LinkedinUserPostRepostedUser'
            - $ref: '#/components/schemas/LinkedinCompanyPostCompany'
            - type: 'null'
        created_at:
          type: integer
          default: 0
        share_urn:
          anyOf:
            - $ref: '#/components/schemas/LinkedinURN'
            - type: 'null'
        legacy_share_urn:
          anyOf:
            - $ref: '#/components/schemas/LinkedinURN_Literal_share__'
            - type: 'null'
        is_empty_repost:
          anyOf:
            - type: boolean
            - type: 'null'
        repost:
          anyOf:
            - $ref: '#/components/schemas/LinkedinUserPost'
            - type: 'null'
        images:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        video_url:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        share_count:
          anyOf:
            - type: integer
            - type: 'null'
        reactions:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinReaction'
              type: array
            - type: 'null'
        event:
          anyOf:
            - $ref: '#/components/schemas/LinkedinUserPostEvent'
            - type: 'null'
        article:
          anyOf:
            - $ref: '#/components/schemas/LinkedinUserPostArticle'
            - type: 'null'
        link:
          anyOf:
            - $ref: '#/components/schemas/LinkedinPostLink'
            - type: 'null'
        document:
          anyOf:
            - $ref: '#/components/schemas/LinkedinUserPostDocument'
            - type: 'null'
        mentioned:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/LinkedinUserPostMentionedUser'
                  - $ref: '#/components/schemas/LinkedinUserPostMentionedCompany'
              type: array
            - type: 'null'
      type: object
      required:
        - urn
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LinkedinURN_Literal_fsd_profile__:
      properties:
        type:
          type: string
          const: fsd_profile
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinURN:
      properties:
        type:
          $ref: '#/components/schemas/LinkedinURNPrefix'
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinUserPostUser:
      properties:
        '@type':
          type: string
          default: LinkedinUserPostUser
        internal_id:
          $ref: '#/components/schemas/LinkedinURN'
        urn:
          anyOf:
            - $ref: '#/components/schemas/LinkedinURN'
            - type: 'null'
        name:
          type: string
        alias:
          type: string
        url:
          type: string
        headline:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - internal_id
        - name
        - alias
        - url
    LinkedinUserPostRepostedUser:
      properties:
        '@type':
          type: string
          default: LinkedinUserPostRepostedUser
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_fsd_profile__'
        name:
          type: string
        alias:
          type: string
        url:
          type: string
      type: object
      required:
        - urn
        - name
        - alias
        - url
    LinkedinCompanyPostCompany:
      properties:
        '@type':
          type: string
          default: LinkedinCompanyPostCompany
        internal_id:
          $ref: '#/components/schemas/LinkedinURN'
        urn:
          $ref: '#/components/schemas/LinkedinURN'
        name:
          type: string
        alias:
          type: string
        url:
          type: string
        headline:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - internal_id
        - urn
        - name
        - alias
        - url
    LinkedinURN_Literal_share__:
      properties:
        type:
          type: string
          const: share
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinReaction:
      properties:
        '@type':
          type: string
          default: LinkedinReaction
        type:
          $ref: '#/components/schemas/LinkedinReactionType'
        count:
          type: integer
      type: object
      required:
        - type
        - count
    LinkedinUserPostEvent:
      properties:
        '@type':
          type: string
          default: LinkedinUserPostEvent
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        participant_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - url
    LinkedinUserPostArticle:
      properties:
        '@type':
          type: string
          default: LinkedinUserPostArticle
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        urn:
          $ref: '#/components/schemas/LinkedinURN'
      type: object
      required:
        - url
        - urn
    LinkedinPostLink:
      properties:
        '@type':
          type: string
          default: LinkedinPostLink
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - url
    LinkedinUserPostDocument:
      properties:
        '@type':
          type: string
          default: LinkedinUserPostDocument
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_media__'
        url:
          type: string
        cover_images:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        images:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        total_images_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - urn
        - url
    LinkedinUserPostMentionedUser:
      properties:
        '@type':
          type: string
          default: LinkedinUserPostMentionedUser
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_fsd_profile__'
        name:
          type: string
        alias:
          type: string
        url:
          type: string
      type: object
      required:
        - urn
        - name
        - alias
        - url
    LinkedinUserPostMentionedCompany:
      properties:
        '@type':
          type: string
          default: LinkedinUserPostMentionedCompany
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_company__'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
      type: object
      required:
        - urn
        - name
        - url
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    LinkedinURNPrefix:
      type: string
      enum:
        - fsd_company
        - fsd_group
        - fsd_profile
        - fsd_skill
        - activity
        - comment
        - company
        - group
        - geo
        - pulse
        - member
        - industry
        - ugcPost
        - job
        - message
        - conversation
        - media
        - share
        - linkedInArticle
    LinkedinReactionType:
      type: string
      enum:
        - like
        - interest
        - empathy
        - praise
        - appreciation
        - entertainment
        - maybe
    LinkedinURN_Literal_media__:
      properties:
        type:
          type: string
          const: media
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinURN_Literal_company__:
      properties:
        type:
          type: string
          const: company
        value:
          type: string
      type: object
      required:
        - type
        - value
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````